<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/Utils/test/SharedDataStreamTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_2d9894417dd95d1842540bac6666188a.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">SharedDataStreamTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;vector&gt;</code><br />
<code>#include &lt;random&gt;</code><br />
<code>#include &lt;climits&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &quot;<a class="el" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h_source.html">AVSCommon/Utils/Timing/Timer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_in_process_s_d_s_8h_source.html">AVSCommon/Utils/SDS/InProcessSDS.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SharedDataStreamTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_shared_data_stream_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_shared_data_stream_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_shared_data_stream_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_utils_2test_2_shared_data_stream_test_8cpp">
<area shape="rect" id="node9" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="606,105,780,144"/>
<area shape="rect" id="node33" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="890,105,1052,144"/>
<area shape="rect" id="node15" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1318,339,1494,377"/>
<area shape="rect" id="node16" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1067,425,1243,464"/>
<area shape="rect" id="node19" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1227,512,1441,551"/>
<area shape="rect" id="node25" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="709,599,885,637"/>
<area shape="rect" id="node26" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1027,512,1203,551"/>
<area shape="rect" id="node31" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="756,512,953,551"/>
<area shape="rect" id="node32" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1873,685,2049,724"/>
<area shape="rect" id="node27" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1478,599,1654,637"/>
<area shape="rect" id="node29" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1622,685,1798,724"/>
<area shape="rect" id="node34" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1730,192,1877,217"/>
<area shape="rect" id="node36" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1503,265,1611,291"/>
<area shape="rect" id="node37" href="_reader_8h.html" title="Reader.h" alt="" coords="2012,265,2088,291"/>
<area shape="rect" id="node41" href="_writer_8h.html" title="Writer.h" alt="" coords="1770,265,1837,291"/>
<area shape="rect" id="node40" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="2191,345,2301,371"/>
<area shape="rect" id="node42" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1752,345,1855,371"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits2.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_index.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::AtomicIndex</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">An <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_index.html" title="An AtomicIndex type with the minimum functionality required by SDS. ">AtomicIndex</a></code> type with the minimum functionality required by SDS.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_index.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_bool.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::AtomicBool</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">An <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_bool.html" title="An AtomicBool type with the minimum functionality required by SDS. ">AtomicBool</a></code> type with the minimum functionality required by SDS.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_atomic_bool.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_buffer.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::Buffer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_buffer.html" title="A Buffer type with the minimum functionality required by SDS. ">Buffer</a></code> type with the minimum functionality required by SDS.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_buffer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_mutex.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::Mutex</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_mutex.html" title="A Mutex type with the minimum functionality required by SDS. ">Mutex</a></code> type with the minimum functionality required by SDS.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_mutex.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_condition_variable.html">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::ConditionVariable</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_condition_variable.html" title="A ConditionVariable type with the minimum functionality required by SDS. ">ConditionVariable</a></code> type with the minimum functionality required by SDS.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_condition_variable.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_source.html">alexaClientSDK::avsCommon::utils::sds::test::Source</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A data source class which can generate an aribrary amount of data at a specified rate and block size.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_source.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_sink.html">alexaClientSDK::avsCommon::utils::sds::test::Sink</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A data sink class which can read and verify an aribrary amount of data at a specified rate and block size.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_sink.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_shared_data_stream_test.html">alexaClientSDK::avsCommon::utils::sds::test::SharedDataStreamTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">The test harness for the tests below.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_shared_data_stream_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">alexaClientSDK::avsCommon::utils</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds.html">alexaClientSDK::avsCommon::utils::sds</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html">alexaClientSDK::avsCommon::utils::sds::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a22d9fd1d20937f9cca1f78daf33b3fcf"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a22d9fd1d20937f9cca1f78daf33b3fcf">alexaClientSDK::avsCommon::utils::sds::test::Sds</a> = SharedDataStream&lt; MinimalTraits &gt;</td></tr>
<tr class="memdesc:a22d9fd1d20937f9cca1f78daf33b3fcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">For brevity in the tests below, alias an SDS type which uses <code><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits.html">MinimalTraits</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a22d9fd1d20937f9cca1f78daf33b3fcf">More...</a><br /></td></tr>
<tr class="separator:a22d9fd1d20937f9cca1f78daf33b3fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a22068d9ec1b902a0d82bf3ac79c7e798"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a22068d9ec1b902a0d82bf3ac79c7e798">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_sdsCalculateCreateSize)</td></tr>
<tr class="memdesc:a22068d9ec1b902a0d82bf3ac79c7e798"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code>SharedDataStream::calculateCreateSize()</code> and <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a4557b769748f6255be866e0b2eb2d627">SharedDataStream::create()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a22068d9ec1b902a0d82bf3ac79c7e798">More...</a><br /></td></tr>
<tr class="separator:a22068d9ec1b902a0d82bf3ac79c7e798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa839ba8e4a23acdd2025797db128ebc8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#aa839ba8e4a23acdd2025797db128ebc8">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_sdsOpen)</td></tr>
<tr class="memdesc:aa839ba8e4a23acdd2025797db128ebc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#aba9b57694eb82ff0f8c3682dac620888">SharedDataStream::open()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#aa839ba8e4a23acdd2025797db128ebc8">More...</a><br /></td></tr>
<tr class="separator:aa839ba8e4a23acdd2025797db128ebc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca247366fbb55fd4fdf663e2d001958"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a8ca247366fbb55fd4fdf663e2d001958">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_createWriter)</td></tr>
<tr class="memdesc:a8ca247366fbb55fd4fdf663e2d001958"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a3f46bec69bb4325a330b8637175dd199">SharedDataStream::createWriter()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a8ca247366fbb55fd4fdf663e2d001958">More...</a><br /></td></tr>
<tr class="separator:a8ca247366fbb55fd4fdf663e2d001958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae56d0ad81b07f93b66d3841d515788af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ae56d0ad81b07f93b66d3841d515788af">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_createReader)</td></tr>
<tr class="memdesc:ae56d0ad81b07f93b66d3841d515788af"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a0433db358a965011bf9d19e23391f7ba">SharedDataStream::createReader()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ae56d0ad81b07f93b66d3841d515788af">More...</a><br /></td></tr>
<tr class="separator:ae56d0ad81b07f93b66d3841d515788af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93e12a8982e1d8f962ec6dcf9dd6ec84"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a93e12a8982e1d8f962ec6dcf9dd6ec84">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerRead)</td></tr>
<tr class="memdesc:a93e12a8982e1d8f962ec6dcf9dd6ec84"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a376432e3407cbdd58fa863e7c5f6f8c7">SharedDataStream::Reader::read()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a93e12a8982e1d8f962ec6dcf9dd6ec84">More...</a><br /></td></tr>
<tr class="separator:a93e12a8982e1d8f962ec6dcf9dd6ec84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82720ae726bab6155f82920172442add"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a82720ae726bab6155f82920172442add">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerSeek)</td></tr>
<tr class="memdesc:a82720ae726bab6155f82920172442add"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#ad2d41381ae36a0925af7aaa1d4191358">SharedDataStream::Reader::seek()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a82720ae726bab6155f82920172442add">More...</a><br /></td></tr>
<tr class="separator:a82720ae726bab6155f82920172442add"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ec478ae3cc9b9be3bb6974053c0fd2b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a0ec478ae3cc9b9be3bb6974053c0fd2b">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerTell)</td></tr>
<tr class="memdesc:a0ec478ae3cc9b9be3bb6974053c0fd2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a15014b2e72f53fa2ef03d964ee8027c1">SharedDataStream::Reader::tell()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a0ec478ae3cc9b9be3bb6974053c0fd2b">More...</a><br /></td></tr>
<tr class="separator:a0ec478ae3cc9b9be3bb6974053c0fd2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf103bcedaf9d97e2bdece981ccb04a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#acf103bcedaf9d97e2bdece981ccb04a1">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerClose)</td></tr>
<tr class="memdesc:acf103bcedaf9d97e2bdece981ccb04a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a57919ee59302069a02614d884b5dfd80">SharedDataStream::Reader::close()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#acf103bcedaf9d97e2bdece981ccb04a1">More...</a><br /></td></tr>
<tr class="separator:acf103bcedaf9d97e2bdece981ccb04a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae6a7ff480201583a64c8d21d363257"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a6ae6a7ff480201583a64c8d21d363257">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerGetId)</td></tr>
<tr class="memdesc:a6ae6a7ff480201583a64c8d21d363257"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a37cdfb4e09327f9d393362489f30c3ce">SharedDataStream::Reader::getId()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a6ae6a7ff480201583a64c8d21d363257">More...</a><br /></td></tr>
<tr class="separator:a6ae6a7ff480201583a64c8d21d363257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab872d8b5223bf30336fe90260d1552c4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ab872d8b5223bf30336fe90260d1552c4">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_readerGetWordSize)</td></tr>
<tr class="memdesc:ab872d8b5223bf30336fe90260d1552c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html#a0cae35bbabc669362794d454731d4e3b">SharedDataStream::Reader::getWordSize()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ab872d8b5223bf30336fe90260d1552c4">More...</a><br /></td></tr>
<tr class="separator:ab872d8b5223bf30336fe90260d1552c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e9ca165efcf78c6e9e2238568b5d63c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a1e9ca165efcf78c6e9e2238568b5d63c">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerWrite)</td></tr>
<tr class="memdesc:a1e9ca165efcf78c6e9e2238568b5d63c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html#a5fbe6db4c4932cdc947ac5f742802b6e">SharedDataStream::Writer::write()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a1e9ca165efcf78c6e9e2238568b5d63c">More...</a><br /></td></tr>
<tr class="separator:a1e9ca165efcf78c6e9e2238568b5d63c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac435323421661cf09322436a0c045520"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ac435323421661cf09322436a0c045520">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerTell)</td></tr>
<tr class="memdesc:ac435323421661cf09322436a0c045520"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html#adb294ffcac9d766147c307b62edc1929">SharedDataStream::Writer::tell()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ac435323421661cf09322436a0c045520">More...</a><br /></td></tr>
<tr class="separator:ac435323421661cf09322436a0c045520"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3355cc1cf9b33c02fdc215687f5bc7fb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a3355cc1cf9b33c02fdc215687f5bc7fb">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerClose)</td></tr>
<tr class="memdesc:a3355cc1cf9b33c02fdc215687f5bc7fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html#a843b9440e8865bd4d272ea49a11b2c4c">SharedDataStream::Writer::close()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a3355cc1cf9b33c02fdc215687f5bc7fb">More...</a><br /></td></tr>
<tr class="separator:a3355cc1cf9b33c02fdc215687f5bc7fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a370545fa44bdbb20158048cf3a311683"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a370545fa44bdbb20158048cf3a311683">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerGetWordSize)</td></tr>
<tr class="memdesc:a370545fa44bdbb20158048cf3a311683"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_writer.html#ab113ddefa849b32678d1b8ce55a25c20">SharedDataStream::Writer::getWordSize()</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a370545fa44bdbb20158048cf3a311683">More...</a><br /></td></tr>
<tr class="separator:a370545fa44bdbb20158048cf3a311683"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6511f9caef1001c622be258ac856e7d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a6511f9caef1001c622be258ac856e7d3">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, testTimer_concurrencyNonblockableWriterDualReader)</td></tr>
<tr class="memdesc:a6511f9caef1001c622be258ac856e7d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests a nonblockable, slow <code>Writer</code> streaming concurrently to two fast <code>Readers</code> (one of each type).  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a6511f9caef1001c622be258ac856e7d3">More...</a><br /></td></tr>
<tr class="separator:a6511f9caef1001c622be258ac856e7d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367db01556228f11e50d3a64f78a6cc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a367db01556228f11e50d3a64f78a6cc3">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_concurrencyAllOrNothingWriterNonblockingReader)</td></tr>
<tr class="memdesc:a367db01556228f11e50d3a64f78a6cc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests an all-or-nothing, fast <code>Writer</code> streaming concurrently to a slow non-blocking <code>Reader</code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a367db01556228f11e50d3a64f78a6cc3">More...</a><br /></td></tr>
<tr class="separator:a367db01556228f11e50d3a64f78a6cc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a921929ea1569d586764e659f1e06ab60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a921929ea1569d586764e659f1e06ab60">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_concurrencyMultipleSds)</td></tr>
<tr class="memdesc:a921929ea1569d586764e659f1e06ab60"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests a <code>Writer</code> from one SDS streaming to a <code>Reader</code> from a different SDS, usig a shared <code>Buffer</code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a921929ea1569d586764e659f1e06ab60">More...</a><br /></td></tr>
<tr class="separator:a921929ea1569d586764e659f1e06ab60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d42395e3204b15f013ad352c10652e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a13d42395e3204b15f013ad352c10652e">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerClosedBeforeWriting)</td></tr>
<tr class="memdesc:a13d42395e3204b15f013ad352c10652e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests that a <code>Reader</code> closes if a <code>Writer</code> is attached and closed before writing anything.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#a13d42395e3204b15f013ad352c10652e">More...</a><br /></td></tr>
<tr class="separator:a13d42395e3204b15f013ad352c10652e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2fd0eac3b5889ace012457cd8a4453f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ad2fd0eac3b5889ace012457cd8a4453f">alexaClientSDK::avsCommon::utils::sds::test::TEST_F</a> (SharedDataStreamTest, test_writerClosedBeforeAttachingReader)</td></tr>
<tr class="memdesc:ad2fd0eac3b5889ace012457cd8a4453f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This tests that a <code>Reader</code> closes if a <code>Writer</code> is attached and closed before the <code>Reader</code> is first attached.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test.html#ad2fd0eac3b5889ace012457cd8a4453f">More...</a><br /></td></tr>
<tr class="separator:ad2fd0eac3b5889ace012457cd8a4453f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
